Name:           sonarr
Version:        2.0.0.5344
Release:        1%{?dist}
Summary:        PVR for Usenet and BitTorrent users
License:        GPLv3
URL:            https://sonarr.tv
Source0:        https://download.sonarr.tv/v2/master/mono/NzbDrone.master.%{version}.mono.tar.gz
Source1:        sonarr.service
Source2:        sonarr.xml
BuildRequires:  systemd
%{?systemd_requires}
Requires:       mono-core
Requires:       mediainfo


%description
Sonarr is a PVR for Usenet and BitTorrent users. It can monitor multiple RSS
feeds for new episodes of your favorite shows and will grab, sort and rename
them. It can also be configured to automatically upgrade the quality of files
already downloaded when a better quality format becomes available.


%prep
%setup -q -c


%install
install -d %{buildroot}%{_prefix}/lib
cp -r NzbDrone %{buildroot}%{_prefix}/lib/sonarr
install -d -m 750 %{buildroot}%{_sharedstatedir}/sonarr
install -D -p -m 644 %{S:1} %{buildroot}%{_unitdir}/sonarr.service
install -D -p -m 644 %{S:2} %{buildroot}%{_prefix}/lib/firewalld/services/sonarr.xml


%pre
getent group sonarr &> /dev/null || groupadd -r sonarr &> /dev/null
getent passwd sonarr &> /dev/null || \
    useradd -r -g sonarr -d %{_sharedstatedir}/sonarr -s /sbin/nologin \
    -c 'Sonarr' sonarr &> /dev/null
exit 0


%post
%systemd_post sonarr.service


%preun
%systemd_preun sonarr.service


%postun
%systemd_postun_with_restart sonarr.service


%files
%{_prefix}/lib/sonarr
%dir %attr(0750, sonarr, sonarr) %{_sharedstatedir}/sonarr
%{_unitdir}/sonarr.service
%{_prefix}/lib/firewalld/services/sonarr.xml


%changelog
* Fri Jun 19 2020 Carl George <carl@george.computer> - 2.0.0.5344-1
- Latest upstream

* Wed Aug 28 2019 Carl George <carl@george.computer> - 2.0.0.5322-1
- Latest upstream

* Sat Mar 02 2019 Carl George <carl@george.computer> - 2.0.0.5301-1
- Latest upstream

* Mon Oct 08 2018 Carl George <carl@george.computer> - 2.0.0.5252-1
- Latest upstream

* Mon Jul 09 2018 Carl George <carl@george.computer> - 2.0.0.5228-1
- Latest upstream

* Sun Jun 24 2018 Carl George <carl@george.computer> - 2.0.0.5225-1
- Latest upstream

* Thu Mar 22 2018 Carl George <carl@george.computer> - 2.0.0.5163-1
- Latest upstream

* Sun Mar 04 2018 Carl George <carl@george.computer> - 2.0.0.5153-1
- Initial package
